
#ifndef _SPI_H
#define _SPI_H

#include "Compiler.h"
#include "GenericTypeDefs.h"

#if defined (__18F87J11)
	#define	SSPSTAT	SSP1STAT
	#define SSPCON	SSP1CON1
	#define SSPBUF	SSP1BUF
	#define WCOL	SSP1CON1bits.WCOL
	#define SSPIE	PIE1bits.SSP1IE
	#define SSPIF	PIR1bits.SSP1IF
	#ifndef	GIE		
			#define GIE	INTCONbits.GIE
	#endif
	#ifndef PIE
			#define PIE	INTCONbits.PIE
	#endif

#endif
	//SPI functions
	#define SPIInit()   SSPIF = 1
	void SPIPut(BYTE);
	BYTE SPIGet(void);
#endif
